- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::FileSystem Class Reference

Provides information about the local operating system's file system conventions. More...

`#include <gfs.h>`

## Static Public Member Functions
static const char * | nullDevice ()
static bool | allowsSpaces ()
static char | slash ()
static char | nonSlash ()
static bool | caseSensitive ()
static bool | usesDriveLetters ()
static bool | leadingDoubleSlash ()

## Detailed Description

Provides information about the local operating system's file system conventions.

See also
  Path, File

Definition at line 38 of file gfs.h.

## Member Function Documentation

bool G::FileSystem::allowsSpaces | ( |  | ) |
| static

Definition at line 39 of file gfs_unix.cpp.

bool G::FileSystem::caseSensitive | ( |  | ) |
| static

Definition at line 44 of file gfs_unix.cpp.

bool G::FileSystem::leadingDoubleSlash | ( |  | ) |
| static

Definition at line 54 of file gfs_unix.cpp.

char G::FileSystem::nonSlash | ( |  | ) |
| static

Definition at line 34 of file gfs_unix.cpp.

const char * G::FileSystem::nullDevice | ( |  | ) |
| static

Definition at line 24 of file gfs_unix.cpp.

Referenced by G::Process::closeFiles(), and G::Process::closeStderr().

char G::FileSystem::slash | ( |  | ) |
| static

Definition at line 29 of file gfs_unix.cpp.

Referenced by G::Path::basename(), G::Path::isAbsolute(), and G::Directory::root().

bool G::FileSystem::usesDriveLetters | ( |  | ) |
| static

Definition at line 49 of file gfs_unix.cpp.

Referenced by G::Path::hasDriveLetter().

The documentation for this class was generated from the following files:

- gfs.h
- gfs_unix.cpp